Skip to content

upsertItemCustomerPart

WRITE

Upsert item customer part.

POST /api/v1/items/upsertItemCustomerPart
curl -X POST '<your-host>/api/v1/items/upsertItemCustomerPart' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "itemId": "string",
    "customerId": "string",
    "customerPartId": "string"
  }'
Response
{
  "id": "string"
}

Parameters

ParameterType
min length 1
min length 1

Input schema

schema
{
  "type": "object",
  "properties": {
    "itemId": {
      "type": "string",
      "minLength": 1
    },
    "customerId": {
      "type": "string",
      "minLength": 1
    },
    "customerPartId": {
      "type": "string"
    },
    "customerPartRevision": {
      "type": "string"
    },
    "id": {
      "type": "string"
    }
  },
  "required": [
    "itemId",
    "customerId",
    "customerPartId"
  ]
}